#!/bin/sh

name="fblogo"
title="fblogo"
package="fblogo"
version="0.5.0"
build="2"
noarch="n"
build_info="Standard build."

info="Generate your own framebuffer boot logo."
desc="fblogo will let you replace the penguin boot-logo you see when
booting Linux kernels with framebuffer support. It takes a PNG
image as input and generates an appropriate linux_logo.h, which
can simply be included in the kernel. It will be displayed when
the framebuffer device is enabled. You can also use it to
generate full screen splash screens for the Linux Progress
Patch."
category="tools/graphic"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="CHANGES,COPYING,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://freakzone.net/gordon/src/$name-$version.tar.gz

apply_patch noroot
[ "$slackver_maj" = "9" ] && apply_patch libs
apply_patch wolk 1

install_option DESTDIR=$pkg_main
install_option PREFIX=/usr
install_option MANDIR=/usr/man

parent_package="$package"
write_info main

cd $src1

do_make

mkdir -p $pkg_main/usr/bin
mkdir -p $pkg_main/usr/man/man1

do_install

make_docs

make_package main

clean_up

# $Log: fblogo.builder,v $
# Revision 1.12  2003/02/07 19:09:08  swiergot
# - Build 2.
#
# Revision 1.11  2003/02/07 18:36:24  swiergot
# - Apply libs patch only if we are on Slackware 9.
#
# Revision 1.10  2003/02/06 19:44:53  swiergot
# - Fixed wolk patch.
#
# Revision 1.9  2003/02/06 19:39:05  swiergot
# - Wolk patch should have level 1.
# - Changed environment to console/text.
#
# Revision 1.8  2003/02/06 19:21:19  swiergot
# - Added wolk patch to enable compatibility with WOLK patched kernels.
#
# Revision 1.7  2003/02/04 15:13:35  swiergot
# - Added libs patch to link against zlib and libm.
#
# Revision 1.6  2003/02/03 17:40:03  swiergot
# - Build 1.
#
# Revision 1.5  2003/02/03 17:31:17  swiergot
# - Set MANDIR=/usr/man to override /usr/share/man which is the default.
#
# Revision 1.4  2003/02/03 17:22:40  swiergot
# - Make usr/man/man1.
#
# Revision 1.3  2003/02/03 17:16:19  swiergot
# - Added noroot patch not to install files root.root.
#
# Revision 1.2  2003/02/03 17:07:59  swiergot
# - Make usr/bin.
#
# Revision 1.1  2003/02/03 16:45:50  swiergot
# - Initial release.
# - Version 0.5.0.
#
